
Smarketers.jobs - Task #29519

#221 - Handling Job Expiration date

15/02/2021 09:39 - Myroslava Klymenko

Статус: Deployed Дата начала: 15/02/2021

Приоритет: Normal Дата завершения:  

Назначена: Suleiman Umudov Готовность: 0%

Категория:  Оценка

трудозатрат:

2.50 часов

Спринт: February Sprint #2   

Responsible QA : Bohdan Konovalenko Version:  

QA Notes: Please enter here checklist with

testcases:

Second developer:  

Issue from customer: Нет   

Описание

The objective of this task is to implement a logic that jobs will be renewed if they have expired.

Design/Text Specifications

For the confirmation of the automatic renewal please implement a new line

between Application time and Link to your website.

Font design:

#1 15px Open Sans bold

#2 15px Open Sans regular

Texts:

DE:

"Automatische Verlängerung"

"Bewerbungsfrist wird nach Ablauf automatisch um 30 Tage verlängert"

ENG:

"Automatic renewal"

"Application time will be automatically renewed for 30 days after expiration"

Please take care of "Automatic renewal", the designs incorrectly state "Automatic renew"

The Checkbox is checked per default.

If Checkbox is checked:

After expiration date is reached, expiration date will be set to 30 days in future.

Customer will get an email with this text. (#1)

If Checkbox is unchecked:

If expiration date will be reached in 3 days, this email will be send to customer (#2)

 

Acceptance Criteria:

#1

GIVEN: That a user has checked Automatic renewal

WHEN: Expiration date will be reached

THEN: expiration date will be set to 30 days in future.

AND: Customer will get an email with this text. (#1)

#2

GIVEN: That a user has unchecked Automatic renewal

WHEN: Expiration date will be reached in 3 days

THEN:  this email will be send to customer (#2)

История

#1 - 15/02/2021 09:39 - Myroslava Klymenko

11/05/2025 1/2



- Параметр Оценка трудозатрат изменился на 2.50 ч

#2 - 15/02/2021 09:40 - Myroslava Klymenko

- Параметр Статус изменился с Backlog на To do

#3 - 15/02/2021 13:12 - Vadym Sirenko

- Параметр Назначена изменился с Vadym Sirenko на Suleiman Umudov

#4 - 16/02/2021 10:05 - Myroslava Klymenko

- Параметр Статус изменился с To do на Backlog

#5 - 19/02/2021 17:24 - Suleiman Umudov

- Параметр Статус изменился с Backlog на In progress

#6 - 22/02/2021 17:15 - Suleiman Umudov

- Параметр Статус изменился с In progress на To test

#7 - 23/02/2021 10:04 - Bohdan Konovalenko

- Параметр Статус изменился с To test на Reopened

#8 - 23/02/2021 10:27 - Bohdan Konovalenko

- Параметр Статус изменился с Reopened на To test

#9 - 23/02/2021 10:28 - Bohdan Konovalenko

- Параметр Статус изменился с To test на PM Acceptance

#10 - 23/02/2021 10:28 - Suleiman Umudov

- Параметр Статус изменился с PM Acceptance на To test

#11 - 23/02/2021 11:16 - Bohdan Konovalenko

- Параметр Статус изменился с To test на PM Acceptance

#12 - 26/03/2021 09:14 - Bohdan Konovalenko

- Параметр Статус изменился с PM Acceptance на Deployed

#13 - 30/03/2021 16:01 - Myroslava Klymenko

- Параметр Статус изменился с Deployed на PM Acceptance

#14 - 31/03/2021 16:19 - Myroslava Klymenko

- Параметр Статус изменился с PM Acceptance на Deployed
